Subject: Re: bug#28946: licence problem with cufflinks
From: Ricardo Wurmus <[email-masked]>
To: Dave Love <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Oct 2017 08:19:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dave Love <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> Hi Dave,
>>>
>>>> I noticed that there's a package for cufflinks, but it has a non-free
>>>> component.  It isn't packaged for Debian or Fedora because of that.  See
>>>> <https://github.com/cole-trapnell-lab/cufflinks/issues/16>.
>>>
>>> Thank you for the information! I’m going to investigate this.
>> […]
>>
>> I have written email to [email-masked] to report my findings and ask
>> about details.
>
> Sorry, I could probably have saved you effort.  I think I already mailed
> before cufflinks moved to github, and I also tried to track down the
> author of the problematic component, though they probably wouldn't hold
> the copyright as far as I remember..

I have not received any response; neither to the bug report, nor to the
email I sent.  I have removed cufflinks from Guix with commit 7bf59f702.

Thanks again for the report!

So… I’ll try to see if I can adapt the GPL code from r-locfit in a fork
of Cufflinks at some point.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net